%global modulename sshpk

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-sshpk
Version:        1.15.2
Release:        1%{?dist}
Summary:        A library for finding and using SSH public keys

License:        MIT
URL:            https://github.com/arekinath/node-sshpk#readme
Source0:        https://registry.npmjs.org/sshpk/-/sshpk-1.15.2.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(asn1) >= 0.2.3 with npmlib(asn1) < 0.3.0))
BuildRequires:  ((npmlib(assert-plus) >= 1.0.0 with npmlib(assert-plus) < 2.0.0))
BuildRequires:  ((npmlib(dashdash) >= 1.12.0 with npmlib(dashdash) < 2.0.0))
BuildRequires:  ((npmlib(getpass) >= 0.1.1 with npmlib(getpass) < 0.2.0))
BuildRequires:  ((npmlib(safer-buffer) >= 2.0.2 with npmlib(safer-buffer) < 3.0.0))
BuildRequires:  ((npmlib(jsbn) >= 0.1.0 with npmlib(jsbn) < 0.2.0))
BuildRequires:  ((npmlib(tweetnacl) >= 0.14.0 with npmlib(tweetnacl) < 0.15.0))
BuildRequires:  ((npmlib(ecc-jsbn) >= 0.1.1 with npmlib(ecc-jsbn) < 0.2.0))
BuildRequires:  ((npmlib(bcrypt-pbkdf) >= 1.0.0 with npmlib(bcrypt-pbkdf) < 2.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
A library for finding and using SSH public keys

%package 1.15.2
Summary:        A library for finding and using SSH public keys


%description 1.15.2
A library for finding and using SSH public keys

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .npmignore %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .travis.yml %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr bin %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr man %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}

mkdir -p %{buildroot}%{_bindir}
ln -s %{npmlib_dir}/%{modulename}/%{version}/bin/sshpk-conv %{buildroot}/%{_bindir}/sshpk-conv
ln -s %{npmlib_dir}/%{modulename}/%{version}/bin/sshpk-sign %{buildroot}/%{_bindir}/sshpk-sign
ln -s %{npmlib_dir}/%{modulename}/%{version}/bin/sshpk-verify %{buildroot}/%{_bindir}/sshpk-verify

mkdir -p %{buildroot}%{_mandir}/man1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/sshpk-conv.1 %{buildroot}/%{_mandir}/man1/sshpk-conv.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/sshpk-sign.1 %{buildroot}/%{_mandir}/man1/sshpk-sign.1
cp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}/man/man1/sshpk-verify.1 %{buildroot}/%{_mandir}/man1/sshpk-verify.1

mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE
%{_bindir}/sshpk-conv
%{_bindir}/sshpk-sign
%{_bindir}/sshpk-verify
%{_mandir}/man1/sshpk-conv.1*
%{_mandir}/man1/sshpk-sign.1*
%{_mandir}/man1/sshpk-verify.1*
%{nodejs_dir}/%{modulename}

%files 1.15.2
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 1.15.2-1
- Package automatically generated by npm2srpm
